当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决][问题]求助,ubuntu升级内核到2.6.24-21-rt后vbox出现-1912错误
帖子发表于 : 2008-08-17 21:40 

注册: 2008-08-09 20:41
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
ubuntu升级内核到2.6.24-21-rt后启动不了vbox,安装ose版本后出现如下错误

The VirtualBox support driver which is running is from a different version of VirtualBox. You can correct this by stopping all running instances of VirtualBox and reinstalling the software..
VBox status code: -1912 (VERR_VM_DRIVER_VERSION_MISMATCH).


返回 代码:
0x80004005
组件:
Console
界面:
IConsole {d5a1cbda-f5d7-4824-9afe-d640c94c7dcf}

然后退回2.6.24-20-rt内核中也是出现如此错误。。。
难道我还要回去之前的2.6.24-19-rt中???
请教各位大虾了


最后由 rmbass 编辑于 2008-08-20 2:20,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-18 12:45 

注册: 2007-10-26 16:42
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
他不是说了么,drive的版本跟现在运行vbox的版本不对应,要你重新安装一下


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-20 1:55 

注册: 2008-08-09 20:41
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
vitoking 写道:
他不是说了么,drive的版本跟现在运行vbox的版本不对应,要你重新安装一下


我参照这个方法做了以后还是没用

现在添加的是内核更新了以后vbox升级的办法:
终端下直接依次输入以下的命令也就是编译模块的
sudo apt-get install virtualbox-ose-source
sudo m-a update
sudo m-a prepare
sudo m-a a-i virtualbox-ose
sudo /etc/init.d/vboxdrv restart

出现的错误更原来一样。。。。。。不知道可以怎么办了。。。。很郁闷


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-20 2:19 

注册: 2008-08-09 20:41
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
已经解决。。。
方法如下


如果你内核升级过的话,得
sudo /etc/init.d/vboxdrv setup

或者去官方网站直接下一个最新版的1.6.4的vbox也能解决问题


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译